﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HierListTest.aspx.cs" Inherits="SCS.Web.UI.WebControls.Test.HierListTest" %>

<%@ Register assembly="SCS.HierList" namespace="SCS.Web.UI.WebControls" tagprefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <div style="float:right;"><asp:HyperLink ID="returnLink" runat="server" NavigateUrl="~/Default.aspx">Return</asp:HyperLink></div>

            <asp:Label ID="listTypeLabel" runat="server" Text="List Type:" />&nbsp;
            <asp:DropDownList ID="listTypeSelect" runat="server" AutoPostBack="true" OnSelectedIndexChanged="listTypeSelect_SelectedIndexChanged">
                <asp:ListItem Text="Unordered" Value="U"></asp:ListItem>
                <asp:ListItem Text="Ordered" Value="O"></asp:ListItem>
            </asp:DropDownList>
        </div>
        <div>    
            <cc1:HierList ID="MediaOutline" runat="server" OnItemClicked="MediaOutline_ItemClicked">
                <cc1:HierListItem Text="Telivision" Value="Telivision" Selectable="false">
                    <cc1:HierListItem Text="24" Value="24" Url="http://www.microsoft.com" />
                    <cc1:HierListItem Text="Friends" Value="Friends" />
                    <cc1:HierListItem Text="Simpsons" Value="Simpsons" />
                    <cc1:HierListItem Text="Seinfeld" Value="Seinfeld" />
                </cc1:HierListItem>
                <cc1:HierListItem Text="Movies" Value="Movies" Selectable="false">
                    <cc1:HierListItem Text="Scream" Value="Scream" />
                    <cc1:HierListItem Text="Terminator" Value="Terminator" Selectable="false">
                        <cc1:HierListItem Text="The Terminator" Value="The Terminator" />
                        <cc1:HierListItem Text="Judgement Day" Value="Judgement Day" />
                        <cc1:HierListItem Text="Rise of the Machines" Value="Rise of the Machines" />
                        <cc1:HierListItem Text="Terminator Salvation" Value="Terminator Salvation" />
                    </cc1:HierListItem>
                    <cc1:HierListItem Text="The Matrix" Value="The Matrix" />
                </cc1:HierListItem>
                <cc1:HierListItem Text="Books" Value="Books" Selectable="false">
                    <cc1:HierListItem Text="The Firm" Value="The Firm" />
                    <cc1:HierListItem Text="Jurassic Park" Value="Jurassic Park" />
                    <cc1:HierListItem Text="Life Expectancy" Value="Life Expectancy" />
                    <cc1:HierListItem Text="Prince of Tides" Value="Prince of Tides" />
                </cc1:HierListItem>
            </cc1:HierList>
        </div>
        <div>
            <asp:Label ID="valueLabel" runat="server" Text="Selected Value:" /> <asp:Label ID="valueTextLabel" runat="server" Text="" /> 
        </div>
    </form>
</body>
</html>
