﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml.XPath;

namespace SCS.Web.UI.WebControls.Test
{
    public partial class XPathDocDataSourceTest : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                XPathDocument doc = new XPathDocument(Server.MapPath("~/resources/media.xml"));
                MediaOutline.DataSource = doc;
                MediaOutline.DataBind();
            }
        }

        protected void MediaOutline_ItemClicked(object sender, HierItemEventArgs e)
        {
            valueTextLabel.Text = e.SourceItem.Value;
        }

        protected void MediaOutline_DataBound(object sender, EventArgs e)
        {

        }
    }
}